[ env.ini ]
set var=CONF_DEVICE value="580|585|586|716v5|706|780|7G"
set var=CONF_REGION value="UK"
set var=CONF_PROVIDER value="All"
set var=CONF_DESCRIPTION value="UK Custom Routed PPP connection (Public Subnet config etc)"
set var=CONF_SERVICE value="Data (Custom)"
set var=CONF_DATE value=""
set var=CONF_TPVERSION value="2.0.0"
set var=HOST_SETUP value="auto"
set var=HOST_LANGUAGE value="en"
set var=UPGRADE_URL value="http://www.speedtouch.co.uk/upgrade"
set var=ATM_ulp value="pppoa"
set var=ATM_addr value="0.38"
set var=%ST_SYS_USERID value="Administrator"
set var=%ST_SYS_PASSWORD value=""
set var=ST_WF_WPA value="1"
set var=ST_WF_WEP_ASC value="1"
set var=ST_WF_SECURITY value="none"
set var=ST_ACL_CONFIG value="unlock"
set var=SESSIONTIMEOUT value=600

[ wizard.ini ]
' ATM PVC
'--------
def var=ATM type=grp desc="Specify the details of your Internet connection. All information should be provided by your ISP." alias="Routed Internet Connection"
def var=ATM_addr type=combo grp=ATM alias="VPI/VCI" data="0.38,1.50,8.35" desc="Select VPI/VCI (UK Default 0.38)"
def var=ATM_ulp type=combo grp=ATM alias="Connection Type" data="PPPoA,PPPoE" desc="Select Connection Type (UK Default PPPoA)"
def var=ST_PPP_USER type=string grp=ATM alias="User Name" req=yes desc="Enter your Internet connection user name, e.g. xyz123@mydsl.com"
def var=%ST_PPP_PASSWORD type=passw grp=ATM alias="Password" req=no desc="Enter your Internet connection password (if required)." max=32
'Router Address
'-------------
def var=gateadd type=grp desc="Enter the Router IP address information. This information may have been provided by your Internet Service Provider." alias="Router Addressing"
def var=Addmode type=list grp=gateadd alias="LAN Addressing Scheme" desc="Specify the appropriate IP address option for your SpeedTouch" data="enabled,transparent" dalias="Private(with-NAT),Public(without-NAT)" default="private" req=yes
def var=gateway type=ipaddr grp=gateadd alias="IP address of your SpeedTouch" desc="Note: Add this as the default gateway on any static PC clients." default="192.168.1.254" req=yes
def var=en_net type=ipaddr grp=gateadd alias="Ethernet Subnet" desc="Enter the subnet network address." default="192.168.1.1" req=yes
def var=en_mask type=ipmask grp=gateadd alias="Ethernet Mask" desc="Enter the subnet mask." default="255.255.255.0" req=yes
'lanDHCP Settings 
'------------- 
def var=lanDHCP type=grp desc="Address information for use on your local network" alias="Address Management"
def var=Sstate type=bool grp=lanDHCP alias="Enable DHCP" desc="Allocate IP addresses locally using DHCP?" data="disabled,enabled" default="enabled"
def var=FirstDHCP type=ipaddr grp=lanDHCP alias="Enter First DHCP Address" desc="This address is only used if the DHCP server has been enabled" default="192.168.1.64" req=yes
def var=LastDHCP type=ipaddr grp=lanDHCP alias="Enter Last DHCP Address" desc="This address is only used if the DHCP server has been enabled" default="192.168.1.253" req=yes
' Wireless Security
'------------------
pgadd name="WirelessSecurity"

[ phone.ini ]
add name=usb_port addr=usb.0.35 logging=disabled
add name=pvc_Internet addr=$ATM_addr

[ ipqos.ini ]
config dest=pvc_Internet state=enabled
queue config dest=pvc_Internet queue=1 ackfiltering=enabled

[ atm.ini ]
ifadd intf=usbif1 dest=usb_port logging=disabled
ifconfig intf=usbif1 ulp=mac retry=0 logging=disabled
ifattach intf=usbif1 logging=disabled
ifadd intf=atm_Internet
ifconfig intf=atm_Internet dest=pvc_Internet
#if ATM_ulp=PPPoE
ifconfig intf=atm_Internet ulp=mac encaps=llc
#endif
#if ATM_ulp=PPPoA
ifconfig intf=atm_Internet ulp=ppp encaps=vcmux
#endif
#if ATM_addr=1.50
ifconfig intf=atm_Internet ulp=ppp encaps=llc
#endif
ifattach intf=atm_Internet

[ eth.ini ]
#if ATM_ulp=PPPoE
ifadd intf=ethoa_Internet
ifconfig intf=ethoa_Internet dest=atm_Internet
ifattach intf=ethoa_Internet
#endif

[ ppprelay.ini ]

[ ppp.ini ]
ifadd intf=Internet
rtadd intf=Internet dst=0.0.0.0/0 src=0.0.0.0/0 metric=10
#if ATM_ulp=PPPoE
ifconfig intf=Internet dest=ethoa_Internet
#else
ifconfig intf=Internet dest=atm_Internet
#endif
ifconfig intf=Internet user=$ST_PPP_USER password=$%ST_PPP_PASSWORD
ifconfig intf=Internet accomp=enabled format=none dnsmetric=10 idletime=0 restart=enabled
ifattach intf=Internet

[ dhcspool.ini ]
pool add name=LAN_custom

[ dhcs.ini ]
debug traceconfig state=disabled
policy verifyfirst=enabled trustclient=enabled
pool config name=LAN_custom intf=LocalNetwork poolstart=$FirstDHCP poolend=$LastDHCP netmask=$en_mask gateway=$gateway server=10.0.0.138 leasetime=86400

[ nat.ini ]
ifconfig intf=Internet translation=$Addmode
#if $Addmode=transparent
mapadd intf=Internet inside_addr=127.0.0.1 protocol=tcp outside_port=51003-51003 inside_port=443-443
#endif
config

[ ip.ini ]
ifadd intf=LocalNetwork dest=bridge
ifattach intf=LocalNetwork
config forwarding=enabled redirects=enabled netbroadcasts=disabled ttl=64 fraglimit=64 defragmode=enabled addrcheck=dynamic mssclamping=enabled
config checkoptions=enabled
config natloopback=disabled
ipadd intf=LocalNetwork addr=192.168.1.254/24 addroute=disabled
ipadd intf=LocalNetwork addr=10.0.0.138/24 addroute=disabled
#if $Addmode=enabled
ipadd intf=LocalNetwork addr=$gateway netmask=$en_mask addroute=enabled
ipconfig addr=$gateway preferred=enabled primary=enabled
#else
rtadd dst=$en_net dstmsk=$en_mask intf=LocalNetwork
arpadd intf=LocalNetwork ip=$gateway hwaddr=$_MACADDR
#endif
ifconfig intf=loop mtu=65535 group=local
ifconfig intf=LocalNetwork mtu=1500 group=lan linksensing=disabled primary=enabled
rtadd dst=192.168.1.0/24 gateway=192.168.1.254
rtadd dst=10.0.0.0/24 gateway=10.0.0.138
rtadd dst=255.255.255.255/32 gateway=127.0.0.1
rtadd dst=224.0.0.0/4 intf=LocalNetwork

[ servmgr.ini ]
ifadd name=PPTP group=lan
ifadd name=HTTP group=lan
ifadd name=HTTPs group=lan
ifadd name=FTP group=lan
ifadd name=TELNET group=lan
ifadd name=DNS-S group=lan
ifadd name=SSDP group=lan
ifadd name=SNMP_AGENT group=lan
ifadd name=MDAP group=lan
ifadd name=PING_RESPONDER group=lan
modify name=PPTP state=enabled
modify name=DNS-C state=enabled
modify name=SNTP state=disabled
modify name=HTTP state=enabled
modify name=HTTPs state=enabled
modify name=WEBF state=disabled
modify name=FTP state=enabled
modify name=TELNET state=enabled
modify name=RIP state=disabled
modify name=DNS-S state=enabled
modify name=DHCP-S state=$Sstate
modify name=VOIP_SIP state=disabled
modify name=SSDP state=enabled
modify name=SNMP_AGENT state=disabled
modify name=MDAP state=enabled
modify name=CWMP_client state=disabled
modify name=CWMP_server state=disabled
modify name=PING_RESPONDER state=enabled
mapadd name=HTTP port=www-http
mapadd name=HTTPs port=443
mapadd name=HTTPI intf=LocalNetwork port=www-http
mapadd name=HTTPI intf=LocalNetwork port=1080
mapadd name=HTTPI intf=LocalNetwork port=httpproxy
mapadd name=FTP port=ftp
mapadd name=TELNET port=telnet
mapadd name=DNS-S port=dns
mapadd name=VOIP_SIP port=sip
mapadd name=SSDP port=1900
mapadd name=SNMP_AGENT port=snmp
mapadd name=MDAP port=3235

[ wireless.ini ]
ifconfig channel=auto ssid=$_SSID_SERIAL any=enabled rts=2347 interop=802.11b/g protection=auto protmode=rtscts prottrigger=local&overlap shortslot=auto frameburst=disabled locale=Europe dtim=3
macacl config control=$ST_ACL_CONFIG
macacl add hwaddr=$HOST_MAC_ADDR permission=allow name=$HOST_NAME
secmode wep encryptionkey=$_WEPKEY_SERIAL
secmode wpa-psk presharedkey=$_WPAKEY_SERIAL encryption=TKIP rekeysec=0
secmode config mode=$ST_WF_SECURITY
wds config state=enabled autoaccess=disabled

[ language.ini ]
langdef lang=uk charset=ISO8859-1

[ endofarch ]
